{ mkDerivation, attoparsec, base, bytestring-trie, hedgehog
, hedgehog-corpus, mtl, pipes, pipes-bytestring, stdenv, tasty
, tasty-hedgehog, text, vector
}:
mkDerivation {
  pname = "addressbook";
  version = "0.1.0.0";
  src = ./.;
  isLibrary = true;
  isExecutable = true;
  libraryHaskellDepends = [
    attoparsec base bytestring-trie mtl pipes pipes-bytestring text
    vector
  ];
  executableHaskellDepends = [ base ];
  testHaskellDepends = [
    base hedgehog hedgehog-corpus tasty tasty-hedgehog
  ];
  license = stdenv.lib.licenses.bsd3;
}
